Package org.zkoss.web.servlet.dsp.action.html

## Class Img

- java.lang.Object
- - org.zkoss.web.servlet.dsp.action.AbstractAction
  - - org.zkoss.web.servlet.dsp.action.html.Img

- All Implemented Interfaces:
    `Action`

      public class Img
      extends AbstractAction

  Generates the HTML <img> tag
  Author:
    tomyeh

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Img()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAlign()` | Returns the alignment.
    `java.lang.String` | `getAlt()` | Returns the alt.
    `java.lang.String` | `getBorder()` | Returns the border.
    `java.lang.String` | `getHeight()` | Returns the height.
    `java.lang.String` | `getHspace()` | Returns the hspace.
    `java.lang.String` | `getId()` | Returns the id attribute.
    `java.lang.String` | `getOnclick()` | Returns the onclick.
    `java.lang.String` | `getSclass()` | Returns the style class.
    `java.lang.String` | `getSrc()` | Returns the src (URL).
    `java.lang.String` | `getStyle()` | Returns the style.
    `java.lang.String` | `getTitle()` | Returns the title.
    `java.lang.String` | `getVspace()` | Returns the vspace.
    `java.lang.String` | `getWidth()` | Returns the width.
    `void` | `render​(ActionContext ac, boolean nested)` | Processes the action and renders the output to `ActionContext.getOut()`.
    `void` | `setAlign​(java.lang.String align)` | Sets the alignment.
    `void` | `setAlt​(java.lang.String alt)` | Sets the alt.
    `void` | `setBorder​(java.lang.String border)` | Sets the border.
    `void` | `setHeight​(java.lang.String height)` | Sets the height.
    `void` | `setHspace​(java.lang.String hspace)` | Sets the hspace.
    `void` | `setId​(java.lang.String id)` | Sets the id attribute.
    `void` | `setOnclick​(java.lang.String onclick)` | Sets the onclick.
    `void` | `setSclass​(java.lang.String sclass)` | Sets the style class.
    `void` | `setSrc​(java.lang.String src)` | Sets the src (URL).
    `void` | `setStyle​(java.lang.String style)` | Sets the style.
    `void` | `setTitle​(java.lang.String title)` | Sets the title.
    `void` | `setVspace​(java.lang.String vspace)` | Sets the vspace.
    `void` | `setWidth​(java.lang.String width)` | Sets the width.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class org.zkoss.web.servlet.dsp.action.AbstractAction

      `append, append, append, getIf, getUnless, isEffective, setIf, setUnless, toScope`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Img

          public Img()

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Returns the id attribute. Default: null.

    - #### setId

          public void setId​(java.lang.String id)

      Sets the id attribute.

    - #### getSrc

          public java.lang.String getSrc()

      Returns the src (URL). Default: null.

    - #### setSrc

          public void setSrc​(java.lang.String src)

      Sets the src (URL).

    - #### getAlign

          public java.lang.String getAlign()

      Returns the alignment. Default: null.

    - #### setAlign

          public void setAlign​(java.lang.String align)

      Sets the alignment.

    - #### getAlt

          public java.lang.String getAlt()

      Returns the alt. Default: null.

    - #### setAlt

          public void setAlt​(java.lang.String alt)

      Sets the alt.

    - #### getBorder

          public java.lang.String getBorder()

      Returns the border. Default: null.

    - #### setBorder

          public void setBorder​(java.lang.String border)

      Sets the border.

    - #### getHspace

          public java.lang.String getHspace()

      Returns the hspace. Default: null.

    - #### setHspace

          public void setHspace​(java.lang.String hspace)

      Sets the hspace.

    - #### getVspace

          public java.lang.String getVspace()

      Returns the vspace. Default: null.

    - #### setVspace

          public void setVspace​(java.lang.String vspace)

      Sets the vspace.

    - #### getSclass

          public java.lang.String getSclass()

      Returns the style class. Default: null.

    - #### setSclass

          public void setSclass​(java.lang.String sclass)

      Sets the style class.

    - #### getStyle

          public java.lang.String getStyle()

      Returns the style. Default: null.

    - #### setStyle

          public void setStyle​(java.lang.String style)

      Sets the style.

    - #### getHeight

          public java.lang.String getHeight()

      Returns the height. Default: null.

    - #### setHeight

          public void setHeight​(java.lang.String height)

      Sets the height.

    - #### getWidth

          public java.lang.String getWidth()

      Returns the width. Default: null.

    - #### setWidth

          public void setWidth​(java.lang.String width)

      Sets the width.

    - #### getTitle

          public java.lang.String getTitle()

      Returns the title. Default: null (no title at all).

    - #### setTitle

          public void setTitle​(java.lang.String title)

      Sets the title.

    - #### getOnclick

          public java.lang.String getOnclick()

      Returns the onclick. Default: null.

    - #### setOnclick

          public void setOnclick​(java.lang.String onclick)

      Sets the onclick.

    - #### render

          public void render​(ActionContext ac,
                             boolean nested)
                      throws DspException,
                             java.io.IOException

      Description copied from interface: `Action`
      Processes the action and renders the output to `ActionContext.getOut()`.
        `nested` - whether there is any nested content.
      Throws:
        `DspException`
        `java.io.IOException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`